Skip to main content
PATCH
Partially update an existing fraud rule

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Path Parameters

id
string
required

Rule ID (UUID)

Body

application/json

The body is of type file.

Response

OK

action
string
required
Example:

"DENY"

createdAt
string<date-time>
required
Example:

"2021-01-01T00:00:00Z"

expression
string
required
Example:

"transaction.amount > 1000 && account.type == 'checking'"

name
string
required
Maximum string length: 255
Example:

"Block high-value checking transactions"

ruleId
string<uuid>
required
Example:

"00000000-0000-0000-0000-000000000000"

scopes
object[] | null
required
status
string
required
Example:

"ACTIVE"

updatedAt
string<date-time>
required
Example:

"2021-01-01T00:00:00Z"

activatedAt
string<date-time>
Example:

"2021-01-01T00:00:00Z"

deactivatedAt
string<date-time>
Example:

"2021-01-01T00:00:00Z"

deletedAt
string<date-time>
Example:

"2021-01-01T00:00:00Z"

description
string
Example:

"Denies transactions over $1000 from checking accounts"